/* Globalni stilovi */
html {
    scroll-behavior: smooth;
  }

body {
    padding-top: 70px; /* Visina navigacijske trake */
    font-family: 'Sora', Helvetica;
    margin: 0; /* Uklanja marginu tijela */
}

/* Navigacijska traka */
.navbar {
    background-color: #0e0f0f; /* Pozadinska boja */
    padding: 0px;
    width: 100%;
}

.navbar .navbar-brand img {
    max-height: 55px; /* Maksimalna visina logotipa */
    margin: 10px 0px 10px 0px;
}

.navbar .nav-link {
    font-family: 'Sora', Helvetica;
    font-weight: 600;
    font-size: 1.2vw; /* 1.2% veličine viewporta otprilike 18px*/
    letter-spacing: 0;
    line-height: 21.6px;
    color: #fff !important; /* Bijela boja teksta */
    margin-left: 30px;
}

.navbar .nav-link:hover, .navbar .nav-link:focus {
    color: rgb(234, 38, 62) !important; /* Boja teksta na hover i klik */
}

.container{
    padding: 0;
    width: 100%;
}

/* Hero sekcija */
.hero-section {
    padding-top: 70px;
    background-color: #0e0f0f; /* Pozadinska boja */
    color: #fff; /* Bijela boja teksta */
    display: flex; /* Fleksibilni kontejner */
    align-items: center; /* Vertikalno centriranje */
    justify-content: center; /* Horizontalno centriranje */
}

.hero-content {
    max-width: 50%; /* Maksimalna širina sadržaja hero sekcije */
    text-align: left; /* Lijevo poravnanje teksta */
    padding-left: 30px; /* Padding s lijeve strane */
    display: flex; /* Fleksibilni kontejner */
    flex-direction: column; /* Vertikalni smjer */
    justify-content: center; /* Vertikalno centriranje sadržaja unutar hero-content */
}

.hero-section h1 {
    font-family: 'Sora', Helvetica;
    font-weight: 600;
    font-size: 5vw; /* 5% veličine viewporta otprilike 68px*/
    letter-spacing: 0;
    line-height: 4vw;
    margin-bottom: 30px; /* Dodatni razmak ispod naslova */
}

.hero-section h1 span {
    color: #ec253d; /* Crvena boja */
    font-size: 5.8vw; /* 5.8% veličine viewporta otprilike 90px*/
    line-height: auto;
}

.hero-section p {
    font-family: 'Inter', Helvetica;
    font-weight: 300;
    font-size: 1.4vw; /* 1.4% veličine viewporta otprilike 20px*/
    letter-spacing: 0;
    line-height: 2vw;
}

.hero-section p strong {
    font-weight: 600; /* Boldiranje teksta */
}

.hero-section img {
    max-width: 110%; /* Slika prilagođena kontejneru */
    height: auto; /* Automatsko prilagođavanje visine */
    background-color: #0e0f0f;
    margin: 0;
    padding: 0;
    
}

.hero-section button {
    font-family: "Sora", Helvetica;
    font-weight: 600;
    color: #ffffff;
    font-size: 18px;
    letter-spacing: 0;
    line-height: 21.6px;
    white-space: nowrap;
    background-color: #ec253d;
    border: none;
    padding: 18px 40px;
    border-radius: 50px;
    margin-top: 40px;
    max-width: 250px;
    transition: transform 0.5s, background-color 0.5s ease;
}

.hero-section button:hover, .hero-section button:active, .hero-section button:visited, .hero-section button:focus {
    background-color: rgb(163, 18, 35) !important; /* Boja teksta na hover i klik */
}

.hero-section button:hover{
    transform: scale(1.05);
}

/* Stil za pozadinu proizvoda */
.products-background {
    background-color: #f8f9fa; /* Boja pozadine */
    padding: 80px 0; /* Padding za vrh i dno sekcije */
}

/* Stil za sekciju proizvoda */
.products-section {
    padding: 0 15px; /* Padding za lijevu i desnu stranu unutar sekcije */
}

.products-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 30px;
}

.products-header h2 {
    font-family: "Sora", Helvetica;
    font-weight: 600;
    color: #0e0f0f;
    font-size: 3vw;
    letter-spacing: 0;
    line-height: 3.8vw;
}

.products-header a {
    font-family: 'Sora', Helvetica;
    font-weight: 600;
    font-size: 1.2vw;
    letter-spacing: 0;
    line-height: 2vw;
    color: #ec253d !important; /* Bijela boja teksta */
    margin-left: 30px;
}

.product-card {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: flex-start;
    gap: 28px;
    padding: 32px;
    background-color: #ffffff;
    border-radius: 12px;
    box-shadow: -9px 10px 13.7px #00000014;
    transition: transform 0.5s;
}
.product-card:hover {
    transform: scale(1.05);
  }

.product-card img {
    width: 100%;
    border-radius: 12px;
}

.product-info {
    width: 100%;
}

.product-name {
    font-family: "Sora", Helvetica;
    font-weight: 600;
    color: #000000;
    font-size: 1.4vw;
    letter-spacing: 0;
    line-height: 2vw;
}

.product-review {
    font-family: "Inter", Helvetica;
    font-weight: 400;
    color: #979797;
    font-size: 0.9vw;
    letter-spacing: 0;
    line-height: 1.6vw;
}

.product-price {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.product-price .price {
    font-family: "Sora", Helvetica;
    font-weight: 600;
    color: #000000;
    font-size: 1.2vw;
    letter-spacing: 0;
    line-height: 1.8vw;
    white-space: nowrap;
}

.product-price .cart-icon {
    font-size: 1.2vw;
    color: #000000;
}

/* Sales info sekcija */
.sales-section {
    background-color: #0e0f0f;
    padding-bottom: 70px;
    padding-right: 80px;
}

.sales-section img{
    width: 100%;
}

.sales-content {
    max-width: 50%;
    text-align: left;
    margin: auto 0; /* Vertikalno centriranje */
    padding-top: 70px;
}

.sales-content h2 {
    font-family: "Sora", Helvetica;
    font-weight: 600;
    color: #ffffff;
    font-size: 3vw;
    letter-spacing: 0;
    line-height: 3.8vw;
}

.sales-content p {
    font-family: "Inter", Helvetica;
    font-weight: 300;
    color: #ffffff;
    font-size: 1.4vw;
    letter-spacing: 0;
    line-height: 2vw;
}

.sales-content p strong {
    font-weight: 600; /* Boldiranje teksta */
}

.sales-content button {
    font-family: "Sora", Helvetica;
    font-weight: 600;
    color: #ffffff;
    font-size: 1.2vw;
    letter-spacing: 0;
    line-height: 1.8vw;
    white-space: nowrap;
    background-color: #BEB607;
    border: none;
    padding: 15px 30px;
    border-radius: 50px;
    margin-top: 20px;
    transition: transform 0.5s, background-color 0.5s ease;
}

.sales-content button:hover, .sales-content button:active, .sales-content button:visited, .sales-content button:focus {
    background-color: #817b06 !important; /* Boja teksta na hover i klik */
}

.sales-content button:hover{
    transform: scale(1.05);
}


/* About Us sekcija */
.about-section {
    padding: 70px 0px;
}

.about-section h2 {
    font-family: "Sora", Helvetica;
    font-weight: 600;
    color: #0e0f0f;
    font-size: 3vw;
    letter-spacing: 0;
    line-height: 3.8vw;
    white-space: nowrap;
    margin-bottom: 20px;
}

.about-section p {
    font-family: "Inter", Helvetica;
    font-weight: 400;
    color: #000000;
    font-size: 1.3vw;
    letter-spacing: 0;
    line-height: 2vw;
}

.about-section img {
    width: 100%;
}

/* Video sekcija */
.video-section {
    background-color: #0e0f0f; /* Ista pozadina kao u sales info sekciji */
    padding: 100px 0; /* Padding gore i dolje */
}

.video-container {
    position: relative;
    padding-bottom: 56.25%; /* Omjer 16:9 */
    height: 0;
    overflow: hidden;
    max-width: 100%;
    background: #000;
}

.video-container iframe,
.video-container object,
.video-container embed {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Footer */
footer {
    background-color: #0e0e0f;
    color: #ffffff;
    padding: 100px 0 40px 0;
}

footer p{
    font-size: 1vw;
}

footer .footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center; /* Vertikalno centriranje */
}

footer .footer-logo p {
    width: 50%;
    margin-top: 15px;
}

footer .footer-logo .Icon {
    margin-top: 15px;
    padding-right: 35px;
}

footer .footer-links {
    display: flex;
    gap: 70px;
    align-items: center; /* Vertikalno centriranje unutar footer-links */
}

footer .footer-links div {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

footer .footer-links h4 {
    font-family: "Sora", Helvetica;
    font-weight: 600;
    color: #ec253d;
    font-size: 1.2vw;
    line-height: 3vw;
    text-transform: uppercase; /* Velika tiskana slova */
    text-align: left; /* Prelom teksta lijevo */
}

footer .footer-links a {
    font-family: "Inter", Helvetica;
    font-weight: 500;
    color: #ffffff;
    font-size: 1vw;
    letter-spacing: 0;
    line-height: 2vw;
    text-decoration: none;
    text-align: left; /* Prelom teksta lijevo */
}

footer .footer-links a:hover,
footer .footer-links a:focus {
    color: rgb(234, 38, 62);
}

/* Footer bottom */
.footer-bottom {
    margin-top: 5%;
    border-top: 1px solid #979797;
    text-align: center;
    padding: 40px 0 0 0;
}

.footer-bottom p {
    font-family: "Inter", Helvetica;
    font-weight: 400;
    color: #ffffff;
    font-size: 1vw;
    letter-spacing: 0;
    line-height: 1.6vw;
}






/* Medija upiti za tablete */
@media (max-width: 992px) {

    .navbar .nav-link{
        font-size: 1.6vw; /* 1.6% veličine viewporta otprilike 18px*/
    }

    .hero-section {
        align-items: bottom;
    }

    .hero-section .hero-content p {
        font-size: 1.7vw;
        line-height: 2.6vw;
    }

    .hero-section .btn {
        font-size: 1.6vw;
        margin: 10px 0px 50px 0px;
    }

    .hero-section img {
        max-width: 120%; /* Slika prilagođena kontejneru */
        height: auto; /* Automatsko prilagođavanje visine */  
    }


    .products-header h2 {
        font-size: 3vw;
        line-height: 4vw;
    }
    
    .products-header a {
        font-size: 1.6vw;
    }
    
    .product-name {
        font-size: 2vw;
        line-height: 2.8vw;
    }
    
    .product-review {
        font-size: 1.4vw;
        line-height: 2vw;
    }
    
    .product-price .price {
        font-size: 1.6vw;
        line-height: 2.4vw;
    }
    
    .product-price .cart-icon {
        font-size: 2vw;
    }


    .sales-section {
        padding-bottom: 20px;
        padding-right: 80px;
    }

    .sales-section .btn {
        font-size: 1.6vw;
        margin: 10px 0px 50px 0px;
    }

    .sales-content h2 {
        font-size: 3vw;
        line-height: 4vw;
    }
    
    .sales-content p {
        font-size: 1.7vw;
        line-height: 2.6vw;
    }
    


    .about-section h2 {
        font-size: 3vw;
        line-height: 4vw;
    }
    
    .about-section p {
        font-size: 1.6vw;
        line-height: 2.6vw;
    }

    
    footer p{
        font-size: 1.4vw;
        line-height: 2.6vw;
    }
    

    footer .footer-links h4 {
        font-size: 1.6vw;
        line-height: 2vw;
    }
    
    footer .footer-links a {
        font-size: 1.2vw;
        line-height: 2vw;
    }
    

    .footer-bottom p {
        font-size: 1.4vw;
        line-height: 2vw;
    }

    footer .footer-logo .img-fluid {
        width: 80%;
    }

    footer .footer-logo p {
        font-size: 1.3vw;
        line-height: 2vw;
        width: 90%;
    }

}

/* Medija upiti za mobitele */
@media (max-width: 767px) {

    .navbar {
        padding: 15px 30px 15px 40px;
        width: 100%;
    }

    .navbar-collapse .nav-item{

        text-align: center;
        padding: 30px 0 30px 0;
    }

    .navbar .nav-link{
        font-size: 3vw;
    }


    .hero-section {
        height: auto;
        padding: 120px 15px 0 40px;
    }

    .hero-section .hero-content {
        max-width: 100%;
        text-align: left;
        padding: 0;
    }

    .hero-section .hero-content h1 {
        font-size: 10vw;
        line-height: 8vw;
    }

    .hero-section .hero-content h1 span {
        font-size: 12vw;
        line-height: 8vw;
    }

    .hero-section .hero-content p {
        font-size: 2.8vw;
        line-height: 4.2vw;
        width: 80%;
        margin: 20px 0px;
    }

    .hero-section .btn {
        margin: 50px 0 100px 0;
        font-size: 2.6vw;
        line-height: 3.5vw;
    }

    .hero-section img {
        width: 100%;
    }

    .products-section .container {
        padding: 0 15px;
    }

    .products-header h2 {
        font-size: 6vw;
        line-height: 8vw;
    }
    
    .products-header a {
        font-size: 2.6vw;
    }

    .product-card {
        width: 100%;
        height: auto;
    }

    .product-name {
        font-size: 4vw;
        line-height: 5vw;
    }
    
    .product-review {
        font-size: 2.5vw;
        line-height: 3vw;
    }
    
    .product-price .price {
        font-size: 3vw;
        line-height: 4vw;
    }
    
    .product-price .cart-icon {
        font-size: 4vw;
    }



    .sales-section .container {
        text-align: left;
    }

    .sales-section .row {
        width: 100%;
    }

    .sales-content{
        margin-left: 40px;
    }

    .sales-content h2{
        width: 200%;
        font-size: 6vw;
        line-height: 8vw;
        margin-bottom: 30px;
    }

    .sales-content p{
        width: 220%;
        font-size: 2.8vw;
        line-height: 4.2vw;
    }

    .sales-section .btn {
        margin: 50px 0 50px 0;
        font-size: 2.6vw;
        line-height: 3.5vw;
    }


    .about-section{
        padding: 80px 15px 30px 40px;
    }

    .about-section h2 {
        margin-bottom: 30px;
        font-size: 6vw;
        line-height: 8vw;
    }

    .about-section p {
        font-size: 2.8vw;
        line-height: 4.2vw;
    }

    .about-section img {
        padding: 40px 0 40px 0;
    }

    .video-section .container {
        padding: 0 15px;
    }


    .footer-logo {
        margin-bottom: 60px;
        flex-direction: column;
        width: 55%;
        margin-left: 20vw;
        text-align: center;
    }

    .footer-links {
        padding: 0 30px;
        margin-bottom: 20px
    }

    .footer-links div {
        margin-top: 40px;
    }


    footer .footer-logo p{
        font-size: 2.8vw;
        line-height: 4.2vw;
    }
    

    footer .footer-links h4 {
        font-size: 3.4vw;
        line-height: 7vw;
    }
    
    footer .footer-links a {
        font-size: 2.45vw;
        line-height: 6vw;
    }
    

    .footer-bottom p {
        font-size: 2.5vw;
        line-height: 4.2vw;
    }

}
